## vonsh 1.0

=== debian/changelog ===
vonsh (1.0) unstable; urgency=medium

  * Initial packaging. Closes: #935761

 -- Andrzej Urbaniak <au742582@interia.pl>  Mon, 26 Aug 2019 13:29:08 +0200

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
include /usr/share/dpkg/pkg-info.mk
export VERSION_STR=$(DEB_VERSION)

%:
	dh $@

## vonsh 1.0+ds

=== Makefile ===
ifndef VERSION_STR
	VERSION_STR = DEV
endif
INC_DIR = inc
SRC_DIR = src
OBJ_DIR = obj
BUILD_DIR = usr
EXE_DIR = $(BUILD_DIR)/games
SRC = $(wildcard $(SRC_DIR)/*.c)
OBJ = $(SRC:$(SRC_DIR)/%.c=$(OBJ_DIR)/%.o)
EXE = $(EXE_DIR)/vonsh
CFLAGS = -I$(INC_DIR) -DVERSION_STR=\"$(VERSION_STR)\" -Wall -Wformat -Werror=format-security
LDFLAGS = -Wl,-z,relro,-z,now
LDLIBS = -lSDL2 -lSDL2main -lSDL2_image -lSDL2_mixer
.PHONY: all clean install
all: release
release: CFLAGS += -O2 -D_FORTIFY_SOURCE=2 -fstack-protector-strong
release: $(EXE)
	strip --strip-all $^
debug: CFLAGS += -g
debug: $(EXE)
$(EXE): $(OBJ)
	mkdir -p $(EXE_DIR)
	$(CC) $(LDFLAGS) $^ $(LDLIBS) -o $@
$(OBJ_DIR)/%.o: $(SRC_DIR)/%.c
	mkdir -p $(OBJ_DIR)
	$(CC) $(CFLAGS) -c $< -o $@
clean:
	$(RM) -rf $(EXE_DIR) $(OBJ_DIR)
install:
	cp -R usr $(DESTDIR)/
	mkdir -p $(DESTDIR)/usr/share/doc/vonsh
	cp README.md $(DESTDIR)/usr/share/doc/vonsh/

## vonsh 1.0%2Bds

=== debian/control ===
Source: vonsh
Section: games
Priority: optional
Maintainer: Andrzej Urbaniak <au742582@interia.pl>
Build-Depends: debhelper (>= 12), libsdl2-dev, libsdl2-image-dev, libsdl2-mixer-dev
Standards-Version: 4.3.0
Homepage: https://github.com/aurb/vonsh/

Package: vonsh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Snake-like game with line of people running around to get more food
 Player has to pick up foodstuffs appearing randomly on the board,
 and avoid colliding with obstacles and the line itself. With each picked up
 food item, line grows in length, new obstacles appear,
 and difficulty explodes ;). Game is based on libSDL.

## vonsh 1.0+ds

=== debian/changelog ===
vonsh (1.0+ds-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unnecessary version constraints for Build-Dependencies.
  * debian/copyright: Align license names with Debian requirements.
  * Add version suffix +ds to make the version greater than bookworm's.
    (Closes: #1057155)

 -- Bastian Germann <bage@debian.org>  Sun, 03 Dec 2023 22:34:55 +0100

vonsh (1.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop build-essential packages from Build-Depends. (Closes: #949218)
  * Convert to source format 3.0. (Closes: #1007398)

 -- Bastian Germann <bage@debian.org>  Mon, 23 Oct 2023 00:25:29 +0200

## vonsh 1.1

=== Makefile ===
VERSION_STR ?= DEV
INC_DIR = inc
SRC_DIR = src
OBJ_DIR = obj
BUILD_DIR = usr
EXE_DIR = $(BUILD_DIR)/games
SRC = $(wildcard $(SRC_DIR)/*.c)
OBJ = $(SRC:$(SRC_DIR)/%.c=$(OBJ_DIR)/%.o)
EXE = $(EXE_DIR)/vonsh
STRIP ?= strip
CFLAGS ?= -Wall -Wextra -Werror=format-security
CFLAGS += -std=c99 -D_DEFAULT_SOURCE -pedantic -I$(INC_DIR) -DVERSION_STR=\"$(VERSION_STR)\"
LDFLAGS ?= -Wl,-z,relro,-z,now
LDLIBS = -lSDL2 -lSDL2main -lSDL2_image -lSDL2_mixer -lcjson -lm
.PHONY: all clean deb_build deb_clean
all: release
release: CFLAGS += -O2 -D_FORTIFY_SOURCE=2 -fstack-protector-strong
release: $(EXE)
	$(STRIP) --strip-all $^
debug: CFLAGS += -g
debug: $(EXE)
$(EXE): $(OBJ)
	mkdir -p $(EXE_DIR)
	$(CC) $(LDFLAGS) $^ $(LDLIBS) -o $@
$(OBJ_DIR)/%.o: $(SRC_DIR)/%.c
	mkdir -p $(OBJ_DIR)
	$(CC) $(CFLAGS) -c $< -o $@
clean:
	$(RM) -rf $(EXE_DIR) $(OBJ_DIR)
deb_build: deb_clean
	git archive --format=tar.gz --output=../vonsh_$(UPSTREAM_VERSION_STR).orig.tar.gz v$(UPSTREAM_VERSION_STR) -- . ':!debian'
	mkdir -p $(DEB_BUILD_DIR)
	tar xf ../vonsh_$(UPSTREAM_VERSION_STR).orig.tar.gz -C $(DEB_BUILD_DIR)
	cp -a debian $(DEB_BUILD_DIR)
	cd $(DEB_BUILD_DIR)/ && dpkg-buildpackage
	rm -rf $(DEB_BUILD_DIR)
deb_clean:
	$(eval UPSTREAM_VERSION_STR := $(shell dpkg-parsechangelog -S Version | sed 's/-[^-]*$$//'))
	$(eval DEB_BUILD_DIR := ../vonsh_$(UPSTREAM_VERSION_STR)_deb_build)
	rm -rf $(DEB_BUILD_DIR)
	rm -rf ../vonsh_$(UPSTREAM_VERSION_STR)* ../vonsh-dbgsym_$(UPSTREAM_VERSION_STR)*

=== debian/changelog ===
vonsh (1.1-1) unstable; urgency=medium

  * Added user menu navigated with keyboard and/or mouse
  * Added a support for changing the board size or switching to full screen
  * Added configurable gameplay keys
  * Music and sound effects are now toggled from the user menu
  * Added highscore saving with "Hall of fame"
  * Added storage of user configuration and highscore table
  * Added optional fps counter
  * nostrip in a cross-buildable way

 -- Andrzej Urbaniak <au742582@interia.pl>  Thu, 09 Oct 2025 16:41:06 +0200

=== debian/control ===
Source: vonsh
Section: games
Priority: optional
Maintainer: Andrzej Urbaniak <au742582@interia.pl>
Build-Depends: debhelper-compat (= 13), libsdl2-dev, libsdl2-image-dev, libsdl2-mixer-dev, libsdl2-ttf-dev, libcjson-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/aurb/vonsh/
Vcs-Git: https://github.com/aurb/vonsh.git
Vcs-Browser: https://github.com/aurb/vonsh

Package: vonsh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: snake-like game without any special twists and turns
 Lead your men, gather food, and avoid obstacles.
 The game features an arcade style and dynamic gameplay.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CFLAGS_MAINT_APPEND=-g
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

include /usr/share/dpkg/pkg-info.mk
export VERSION_STR=$(DEB_VERSION)

# Do not strip.
export STRIP=true

%:
	dh $@

override_dh_auto_build:
	$(MAKE) debug

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/aurb/vonsh.git \
refs/tags/v(\d+\.\d+)
